function DoReturn(i_sel)
{
	//返回时更新记录
	var s_id=s_pid;
	var i_return =-1;
	
	if(s_id=="")
	{
		if($('CCID')!=null)
		{
			s_id=$('CCID').value;
			i_return=0;
			
			window.open('/admin/class/classlist.aspx?pid='+s_id+'&ord=c_order asc','_self');
		}
	}
	
	if(i_sel!="0")
		UploadClass(s_id,1);
		
	return 	i_return;
}

function checkOther()
{
	var b_error=false;
	if($('CRepeat').checked)
	{
		$('C_Repeat').value="1";
	}
	else
	{
		$('C_Repeat').value="0";
	}
	
	if(!CheckUrl('C_Url'))
	{
		b_error=true;
	}
	
	if($('CCID')!=null)
	{
		$('C_ParentID').value=$('CCID').value;
	}
	
	return b_error;
}


function BuildTitleUrl()
{
	BuildTitleUrlByName('C_Name')
}

function BuildCompare()
{
	  popup_open("/admin/class/getinput.aspx?fn=/admin/class/compare_input.html","对比模板",675,465);
}
